%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name IO-Compress-Base

Summary: 	IO-Compress-Base module for perl
Name: 		perl-IO-Compress-Base
Version: 	2.008
Release: 	3.5
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/IO-Compress-Base/


Source: 	http://www.cpan.org/modules/by-module/Compress/IO-Compress-Base-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	perl >= 0:5.004, zlib-devel >= 1.0.2
Requires: 	perl >= 0:5.004, zlib >= 1.0.2

%description
IO-Compress-Base module for perl

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/IO/Compress/Base/
%{perl_vendorlib}/File/GlobMapper.pm
%{perl_vendorlib}/IO/Compress/Base.pm
%{perl_vendorlib}/IO/Compress/Base/Common.pm
%{perl_vendorlib}/IO/Uncompress/AnyUncompress.pm
%{perl_vendorlib}/IO/Uncompress/Base.pm

%changelog
* Sun Jan 27 2008 VHCS Packager <vhcs@j0ke.net>
- initial release

